aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--Makefile5
-rw-r--r--push.sh11
2 files changed, 12 insertions, 4 deletions
diff --git a/Makefile b/Makefile
index 2ce7143..6418e9f 100644
--- a/Makefile
+++ b/Makefile
@@ -194,11 +194,8 @@ clean:
distclean: clean
rm -f *~ core .*.swp 1.* 2.* 1 2 3 map map.* *.map a b c foo bar baz comptitle.s comptitle.dat
-# push to git, create a new build from scratch, post it on webserver,
-# and print the short git hash (for copy/pasting into irc).
-# "naptime" is a shell script that you don't have :)
push:
- git push && $(MAKE) distclean all && naptime $(XEX) && git rev-parse --short HEAD
+ sh push.sh
# Cruft. Was used for testing the enemy ship animation.
lorchatest: lorchatest.c draw_lorcha.s taifont.xex
diff --git a/push.sh b/push.sh
new file mode 100644
index 0000000..91263a3
--- /dev/null
+++ b/push.sh
@@ -0,0 +1,11 @@
+#!/bin/sh
+
+# push to git, create a new build from scratch, post it on webserver,
+# and print the short git hash (for copy/pasting into irc).
+# "naptime" is a shell script that you don't have :)
+
+git push && $MAKE distclean all || exit 1
+URL="$( naptime taipan.xex)"
+REV="$( git rev-parse --short HEAD )"
+
+echo "build ID $REV at $URL"